### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-breadcrumb/deprecated/common/ecl-breadcrumb.component.ts`

### Deprecated

Please use EclBreadcrumbSegmentComponent instead

### Extends

`ECLBaseDirective`

### Implements

`OnInit` `AfterViewInit` `OnDestroy`

### Metadata

template

    <div></div>

### Index

###### Properties

- ariaLabel
- eclEllipsisSegment
- Abstract eclSegments
- role

###### Methods

- onEllipsisSegmentClick
- getCssClasses

###### Inputs

- class
- e2eAttr

###### HostBindings

- attr.aria-label
- attr.role

### Constructor

`constructor(el: ElementRef, translate: TranslateService)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No
translate | `TranslateService` | No

### Inputs

class
Type : `string`

e2eAttr
Type : `any`

### HostBindings

attr.aria-label
Type : `any`

attr.role
Type : `string`
Default value : `'navigation'`

### Methods

onEllipsisSegmentClick
`onEllipsisSegmentClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

ariaLabel
Decorators : `@HostBinding('attr.aria-label')`

eclEllipsisSegment
Type : `EclBreadcrumbSegmentComponentBase`
Decorators : `@ViewChild('ellipsisSegment')`

Abstract eclSegments
Type : `QueryList<EclBreadcrumbSegmentComponentBase>`

role
Type : `string`
Default value : `'navigation'`
Decorators : `@HostBinding('attr.role')`

# results matching ""

# No results matching ""